{% extends "layout.html" %}
{% block title %}Register{% endblock %}
{% block content %}

<h1 class="mb-4 w-100 text-center">📝 Register</h1>

<div class="row justify-content-center mt-5">
  <div class="col-md-6 col-lg-4 col-sm-12">
    <div class="card shadow-custom rounded-4">
      <div class="card-header text-center">Create a New Account</div>
      <div class="card-body">
        <form method="POST">
          <div class="mb-3">
            <label for="name" class="form-label">Name</label>
            <input type="text" class="form-control" id="name" name="name" placeholder="Enter your name" required>
          </div>
          <div class="mb-3">
            <label for="email" class="form-label">Email</label>
            <input type="email" class="form-control" id="email" name="email" placeholder="Enter your email" required>
          </div>
          <div class="mb-3">
            <label for="password" class="form-label">Password</label>
            <input type="password" class="form-control" id="password" name="password" placeholder="Create a password" required>
          </div>
          <div class="mb-3">
            <label for="age" class="form-label">Age</label>
            <input type="number" class="form-control" id="age" name="age" required>
          </div>
          <div class="mb-3">
            <label for="sex" class="form-label">Sex</label>
            <select class="form-select" id="sex" name="sex" required>
              <option value="M">Male</option>
              <option value="F">Female</option>
            </select>
          </div>
          <div class="mb-3">
            <label for="location" class="form-label">Location</label>
            <select class="form-select" id="location" name="location" required>
              <option value="Colombo">Colombo</option>
              <option value="Kandy">Kandy</option>
              <option value="Galle">Galle</option>
              <option value="Jaffna">Jaffna</option>
            </select>
          </div>
          <button type="submit" class="btn btn-success w-100 mb-3 rounded-5 fw-bold">
            <i class="fa-solid fa-user-plus me-2"></i> Register
          </button>
        </form>
      </div>
    </div>
  </div>
</div>

{% endblock %}
